commit: 75a2af9e00d8701cb3a6f201976ed9ba27bcc7d0
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 20 01:07:43 2015 +0000
Commit: Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Thu Aug 20 01:13:32 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75a2af9e
app-emulation/libvirt: Update init scripts for 1.2.18-r2 and 9999
update init scripts for 1.2.18-r2 und 9999. Drop keywords for testing due
to major runscript change.
Bugs: 551854
Bugs: 555736
Bugs: 558034
Package-Manager: portage-2.2.20.1
...ibvirt-9999.ebuild => libvirt-1.2.18-r2.ebuild} | 29 +++++++++++++++-------
app-emulation/libvirt/libvirt-9999.ebuild | 27 ++++++++++++++------
2 files changed, 39 insertions(+), 17 deletions(-)
diff --git a/app-emulation/libvirt/libvirt-9999.ebuild
b/app-emulation/libvirt/libvirt-1.2.18-r2.ebuild
similarity index 92%
copy from app-emulation/libvirt/libvirt-9999.ebuild
copy to app-emulation/libvirt/libvirt-1.2.18-r2.ebuild
index 783647a..718ad00 100644
--- a/app-emulation/libvirt/libvirt-9999.ebuild
+++ b/app-emulation/libvirt/libvirt-1.2.18-r2.ebuild
@@ -28,7 +28,7 @@ else
SRC_URI+=" ${BACKPORTS:+
http://dev.gentoo.org/~cardoe/distfiles/${P}-${BACKPORTS}.tar.xz
http://dev.gentoo.org/~tamiko/distfiles/${P}-${BACKPORTS}.tar.xz}"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="" # "~amd64 ~x86"
SLOT="0/${PV}"
fi
S="${WORKDIR}/${P%_rc*}"
@@ -122,7 +122,14 @@ DEPEND="${RDEPEND}
# gentoo.readme stuff:
DISABLE_AUTOFORMATTING=true
-DOC_CONTENTS="For the basic networking support (bridged and routed networks)
you don't
+DOC_CONTENTS="Important: The openrc libvirtd init script is now broken up into
two
+separate services: libvirtd, that solely handles the daemon, and
+libvirt-guests, that takes care of clients during shutdown/restart of the
+host. In order to reenable client handling, edit /etc/conf.d/libvirt-guests
+and enable the service:
+ $ rc-update add libvirt-guests
+
+For the basic networking support (bridged and routed networks) you don't
need any extra software. For more complex network modes including but not
limited to NATed network, you can enable the 'virt-network' USE flag.
@@ -137,9 +144,10 @@ For openrc users:
Please use /etc/conf.d/libvirtd to control the '--listen' parameter for
libvirtd.
- The default configuration will suspend and resume running kvm guests
- with 'managedsave'. This behavior can be changed under
- /etc/conf.d/libvirtd
+ Use /etc/init.d/libvirt-guests to manage clients on restart/shutdown of
+ the host. The default configuration will suspend and resume running kvm
+ guests with 'managedsave'. This behavior can be changed under
+ /etc/conf.d/libvirt-guests
For systemd users:
@@ -259,7 +267,7 @@ src_prepare() {
epatch \
"${FILESDIR}"/${PN}-1.2.9-do_not_use_sysconf.patch \
"${FILESDIR}"/${PN}-1.2.16-fix_paths_in_libvirt-guests_sh.patch
\
- "${FILESDIR}"/${P}-fix_paths_for_apparmor.patch
+ "${FILESDIR}"/${PN}-1.2.17-fix_paths_for_apparmor.patch
[[ -n ${BACKPORTS} ]] && \
EPATCH_FORCE=yes EPATCH_SUFFIX="patch" \
@@ -274,7 +282,7 @@ src_prepare() {
local iscsi_init=
local rbd_init=
local firewalld_init=
- cp "${FILESDIR}/libvirtd.init-r14" "${S}/libvirtd.init"
+ cp "${FILESDIR}/libvirtd.init-r15" "${S}/libvirtd.init"
use avahi && avahi_init='avahi-daemon'
use iscsi && iscsi_init='iscsid'
use rbd && rbd_init='ceph'
@@ -441,9 +449,12 @@ src_install() {
systemd_newtmpfilesd "${FILESDIR}"/libvirtd.tmpfiles.conf libvirtd.conf
newinitd "${S}/libvirtd.init" libvirtd || die
- newconfd "${FILESDIR}/libvirtd.confd-r4" libvirtd || die
+ newinitd "${FILESDIR}/libvirt-guests.initd" libvirt-guests || die
newinitd "${FILESDIR}/virtlockd.init-r1" virtlockd || die
+ newconfd "${FILESDIR}/libvirtd.confd-r5" libvirtd || die
+ newconfd "${FILESDIR}/libvirt-guests.confd" libvirt-guests || die
+
readme.gentoo_create_doc
}
@@ -472,7 +483,7 @@ pkg_postinst() {
use libvirtd || return 0
# From here, only libvirtd-related instructions, be warned!
- if [[ -n ${REPLACING_VERSIONS} ]] && ! version_is_at_least 1.2.17-r2
${REPLACING_VERSIONS} ]]; then
+ if [[ -n ${REPLACING_VERSIONS} ]] && ! version_is_at_least 1.2.18-r2
${REPLACING_VERSIONS} ]]; then
FORCE_PRINT_ELOG=true
fi
diff --git a/app-emulation/libvirt/libvirt-9999.ebuild
b/app-emulation/libvirt/libvirt-9999.ebuild
index 783647a..ce8d65b 100644
--- a/app-emulation/libvirt/libvirt-9999.ebuild
+++ b/app-emulation/libvirt/libvirt-9999.ebuild
@@ -122,7 +122,14 @@ DEPEND="${RDEPEND}
# gentoo.readme stuff:
DISABLE_AUTOFORMATTING=true
-DOC_CONTENTS="For the basic networking support (bridged and routed networks)
you don't
+DOC_CONTENTS="Important: The openrc libvirtd init script is now broken up into
two
+separate services: libvirtd, that solely handles the daemon, and
+libvirt-guests, that takes care of clients during shutdown/restart of the
+host. In order to reenable client handling, edit /etc/conf.d/libvirt-guests
+and enable the service:
+ $ rc-update add libvirt-guests
+
+For the basic networking support (bridged and routed networks) you don't
need any extra software. For more complex network modes including but not
limited to NATed network, you can enable the 'virt-network' USE flag.
@@ -137,9 +144,10 @@ For openrc users:
Please use /etc/conf.d/libvirtd to control the '--listen' parameter for
libvirtd.
- The default configuration will suspend and resume running kvm guests
- with 'managedsave'. This behavior can be changed under
- /etc/conf.d/libvirtd
+ Use /etc/init.d/libvirt-guests to manage clients on restart/shutdown of
+ the host. The default configuration will suspend and resume running kvm
+ guests with 'managedsave'. This behavior can be changed under
+ /etc/conf.d/libvirt-guests
For systemd users:
@@ -259,7 +267,7 @@ src_prepare() {
epatch \
"${FILESDIR}"/${PN}-1.2.9-do_not_use_sysconf.patch \
"${FILESDIR}"/${PN}-1.2.16-fix_paths_in_libvirt-guests_sh.patch
\
- "${FILESDIR}"/${P}-fix_paths_for_apparmor.patch
+ "${FILESDIR}"/${PN}-1.2.17-fix_paths_for_apparmor.patch
[[ -n ${BACKPORTS} ]] && \
EPATCH_FORCE=yes EPATCH_SUFFIX="patch" \
@@ -274,7 +282,7 @@ src_prepare() {
local iscsi_init=
local rbd_init=
local firewalld_init=
- cp "${FILESDIR}/libvirtd.init-r14" "${S}/libvirtd.init"
+ cp "${FILESDIR}/libvirtd.init-r15" "${S}/libvirtd.init"
use avahi && avahi_init='avahi-daemon'
use iscsi && iscsi_init='iscsid'
use rbd && rbd_init='ceph'
@@ -441,9 +449,12 @@ src_install() {
systemd_newtmpfilesd "${FILESDIR}"/libvirtd.tmpfiles.conf libvirtd.conf
newinitd "${S}/libvirtd.init" libvirtd || die
- newconfd "${FILESDIR}/libvirtd.confd-r4" libvirtd || die
+ newinitd "${FILESDIR}/libvirt-guests.initd" libvirt-guests || die
newinitd "${FILESDIR}/virtlockd.init-r1" virtlockd || die
+ newconfd "${FILESDIR}/libvirtd.confd-r5" libvirtd || die
+ newconfd "${FILESDIR}/libvirt-guests.confd" libvirt-guests || die
+
readme.gentoo_create_doc
}
@@ -472,7 +483,7 @@ pkg_postinst() {
use libvirtd || return 0
# From here, only libvirtd-related instructions, be warned!
- if [[ -n ${REPLACING_VERSIONS} ]] && ! version_is_at_least 1.2.17-r2
${REPLACING_VERSIONS} ]]; then
+ if [[ -n ${REPLACING_VERSIONS} ]] && ! version_is_at_least 1.2.18-r2
${REPLACING_VERSIONS} ]]; then
FORCE_PRINT_ELOG=true
fi